<?php

/**
 * Block functionality for Yayb module.
 */
class Yayb {

  /**
   * Displays the block contents.
   */
  public static function view() {
    if (YaybServices::checkVisibility()) {
      $block = [];
      if ($subject = variable_get('yayb_title', NULL)) {
        $block['subject'] = check_plain($subject);
      }
      if ($content = variable_get('yayb_message', NULL)) {
        $block['content'] = ['#markup' => check_markup($content, filter_default_format())];
      }
      return $block;
    }
  }
}
